image: docker:latest
services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay
  SPRING_PROFILES_ACTIVE: gitlab-ci

stages:
  - package
  - deploy


docker-build:
  stage: package
  script:
  # uses Dockerfile ?? pserhaps
      - docker build -t registry.gitlab.com/mouad.tk/jhipster-registry .
      - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
      - docker push registry.gitlab.com/mouad.tk/jhipster-registry

k8s-deploy-production:
  image: google/cloud-sdk
  stage: deploy
  script:
  - echo "$GOOGLE_KEY" > key.json
  - gcloud auth activate-service-account --key-file key.json
  - gcloud config set compute/zone europe-west1-b
  - gcloud config set project coot-189515
  - gcloud config set container/use_client_certificate True
  - gcloud container clusters get-credentials coot-cluster
  - kubectl delete secret registry.gitlab.com
  - kubectl create secret docker-registry registry.gitlab.com --docker-server=https://registry.gitlab.com --docker-username=gitlab-ci-token --docker-password=$CI_BUILD_TOKEN --docker-email=tribak.m@gmail.com
  - kubectl apply -f deployment.yml
  environment:
    name: staging
    url: http://salamnca132.com/
  when: on_success
